Bug 9932 - pump crashes diskless machines
Summary: pump crashes diskless machines
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-03 12:17 UTC by Zoltan Kolb
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-03 12:17:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zoltan Kolb 2000-03-03 12:17:24 UTC
DHCP or BOOTP does not work on diskless machines with NFS-mounted
/ partitions. These machines need fixed IP addresses, but it still
makes sense to use DHCP or BOOTP to optain other IP parameters
(nameserver, routers, etc.). Pump seems to unconfigure the interface
before obtaining an IP address for it, and this makes the / filesystem
unaccessible crashing the machine.

Comment 1 Erik Troan 2000-08-04 14:51:13 UTC
While a patch is welcome to fix this (is should be configurable on a
per-interface level
via /etc/pump.conf), I'm not going to add it myself.


Note You need to log in before you can comment on or make changes to this bug.